{ lib, ... }:

# This file contains global constants that are
# used thoughout the configuration files. They are
# "variables", in the sense that they can change
# from time to time and we don't like to search-replace.
{
  options.var = lib.mkOption {
    type = lib.types.attrs;
    readOnly = true;
    default = {
      hostname  = "maxwell.ydns.eu";
      ipAddress = "2.25.5.112";
    };
    description = "Global constants.";
  };

}
